boost_adaptbx::python::streambuf_capsule Struct Reference

`#include <python_streambuf.h>`

Inheritance diagram for boost_adaptbx::python::streambuf_capsule:

## Public Member Functions

| streambuf_capsule (bp::object &python_file_obj, std::size_t buffer_size=0)

## Public Attributes

streambuf | python_streambuf

## Detailed Description

Definition at line 460 of file python_streambuf.h.

## Constructor & Destructor Documentation

boost_adaptbx::python::streambuf_capsule::streambuf_capsule | ( | bp::object & | python_file_obj,
|  | std::size_t | buffer_size = `0`
| ) |  |

inline

Definition at line 464 of file python_streambuf.h.

## Member Data Documentation

streambuf boost_adaptbx::python::streambuf_capsule::python_streambuf

Definition at line 462 of file python_streambuf.h.

The documentation for this struct was generated from the following file:

- python_streambuf.h